You are not logged in.

#1 2022-07-04 14:03:35

deserts
Member
From: the Orient
Registered: 2021-08-28
Posts: 11

[SOLVED] Ibus seems not well-working

Screenshot-from-2022-07-04-21-39-07.png
So, as the above picture shows, I can type Chinese words onto GNOME terminal via ibus-libpinyin, but the white box is not as normal as previous, since it don't show anything I could select.
I have tried typing under Wayland and X11, and LibreOffice, even restart ibus, reinstall ibus, reboot PC, and try another ibus IM(ibus-rime), everthing goes to the same results.
The only thing I remember is that I did upgrade several hours ago. Here's the log

[2022-07-04T10:32:00+0800] [ALPM] running '60-mkinitcpio-remove.hook'...
[2022-07-04T10:32:00+0800] [ALPM] running '71-dkms-remove.hook'...
[2022-07-04T10:32:01+0800] [ALPM-SCRIPTLET] ==> dkms remove --no-depmod acpi_call/1.2.2 -k 5.18.7-zen1-1-zen
[2022-07-04T10:32:01+0800] [ALPM-SCRIPTLET] ==> dkms remove --no-depmod vboxhost/6.1.34_OSE -k 5.18.7-zen1-1-zen
[2022-07-04T10:32:01+0800] [ALPM-SCRIPTLET] ==> depmod 5.18.7-zen1-1-zen
[2022-07-04T10:32:05+0800] [ALPM] transaction started
[2022-07-04T10:32:05+0800] [ALPM] upgraded alsa-card-profiles (1:0.3.52-2 -> 1:0.3.53-2)
[2022-07-04T10:32:05+0800] [ALPM] upgraded binutils (2.38-5 -> 2.38-6)
[2022-07-04T10:32:05+0800] [ALPM] upgraded dkms (3.0.3-1 -> 3.0.5-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded exempi (2.6.1-1 -> 2.6.2-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded glib2 (2.72.2-1 -> 2.72.3-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded gjs (2:1.72.0-1 -> 2:1.72.0-2)
[2022-07-04T10:32:05+0800] [ALPM] upgraded pipewire (1:0.3.52-2 -> 1:0.3.53-2)
[2022-07-04T10:32:05+0800] [ALPM] upgraded wayland (1.20.0-2 -> 1.21.0-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded llvm-libs (13.0.1-6 -> 14.0.6-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded mesa (22.1.2-1 -> 22.1.3-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded libmfx (22.4.2-1 -> 22.4.4-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded pango (1:1.50.7-1 -> 1:1.50.8-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded gnome-remote-desktop (42.2-1 -> 42.3-1)
[2022-07-04T10:32:05+0800] [ALPM] upgraded gtk-update-icon-cache (1:4.6.5-1 -> 1:4.6.6-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded gtk4 (1:4.6.5-1 -> 1:4.6.6-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded zenity (3.42.1-1 -> 3.43.0-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded gnome-shell (1:42.2-1 -> 1:42.3-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded gnome-shell-extensions (42.2-1 -> 42.3-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded gst-plugin-pipewire (1:0.3.52-2 -> 1:0.3.53-2)
[2022-07-04T10:32:06+0800] [ALPM] upgraded lib32-llvm-libs (13.0.1-1 -> 14.0.6-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded lib32-mesa (22.1.2-1 -> 22.1.3-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded lib32-vulkan-radeon (22.1.2-1 -> 22.1.3-1)
[2022-07-04T10:32:06+0800] [ALPM] upgraded liblangtag (0.6.3-3 -> 0.6.4-1)
[2022-07-04T10:32:08+0800] [ALPM] upgraded linux-zen (5.18.7.zen1-1 -> 5.18.9.zen1-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded linux-zen-headers (5.18.7.zen1-1 -> 5.18.9.zen1-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded postgresql-libs (14.3-2 -> 14.3-3)
[2022-07-04T10:32:10+0800] [ALPM] upgraded python-pillow (9.1.1-1 -> 9.2.0-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded qt5-tools (5.15.5+kde+r1-1 -> 5.15.5+kde+r1-3)
[2022-07-04T10:32:10+0800] [ALPM] upgraded sushi (41.2-1 -> 42.0-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded v2ray-domain-list-community (20220629152223-1 -> 20220702092201-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded vulkan-radeon (22.1.2-1 -> 22.1.3-1)
[2022-07-04T10:32:10+0800] [ALPM] upgraded xdg-desktop-portal-gnome (42.1-1 -> 42.3-1)
[2022-07-04T10:32:10+0800] [ALPM] transaction completed
[2022-07-04T10:32:11+0800] [ALPM] running '30-systemd-udev-reload.hook'...
[2022-07-04T10:32:11+0800] [ALPM] running '30-systemd-update.hook'...
[2022-07-04T10:32:11+0800] [ALPM] running '60-depmod.hook'...
[2022-07-04T10:32:13+0800] [ALPM] running '70-dkms-install.hook'...
[2022-07-04T10:32:13+0800] [ALPM-SCRIPTLET] ==> dkms install --no-depmod vboxhost/6.1.34_OSE -k 5.18.9-zen1-1-zen
[2022-07-04T10:32:19+0800] [ALPM-SCRIPTLET] /bin/dkms: line 1033: sha512: command not found
[2022-07-04T10:32:19+0800] [ALPM-SCRIPTLET] /bin/dkms: line 1033: sha512: command not found
[2022-07-04T10:32:20+0800] [ALPM-SCRIPTLET] /bin/dkms: line 1033: sha512: command not found
[2022-07-04T10:32:20+0800] [ALPM-SCRIPTLET] ==> dkms install --no-depmod acpi_call/1.2.2 -k 5.18.9-zen1-1-zen
[2022-07-04T10:32:22+0800] [ALPM-SCRIPTLET] /bin/dkms: line 1033: sha512: command not found
[2022-07-04T10:32:22+0800] [ALPM-SCRIPTLET] ==> depmod 5.18.9-zen1-1-zen
[2022-07-04T10:32:23+0800] [ALPM] running '90-mkinitcpio-install.hook'...
[2022-07-04T10:32:23+0800] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
[2022-07-04T10:32:23+0800] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen.img
[2022-07-04T10:32:23+0800] [ALPM-SCRIPTLET] ==> Starting build: 5.18.9-zen1-1-zen
[2022-07-04T10:32:24+0800] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2022-07-04T10:32:24+0800] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2022-07-04T10:32:24+0800] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2022-07-04T10:32:24+0800] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2022-07-04T10:32:24+0800] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2022-07-04T10:32:25+0800] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen.img
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET] ==> Image generation successful
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'fallback'
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen-fallback.img -S autodetect
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET] ==> Starting build: 5.18.9-zen1-1-zen
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2022-07-04T10:32:26+0800] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2022-07-04T10:32:27+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2022-07-04T10:32:27+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: bfa
[2022-07-04T10:32:27+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qed
[2022-07-04T10:32:28+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla1280
[2022-07-04T10:32:28+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla2xxx
[2022-07-04T10:32:28+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2022-07-04T10:32:28+0800] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2022-07-04T10:32:29+0800] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2022-07-04T10:32:30+0800] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2022-07-04T10:32:31+0800] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2022-07-04T10:32:32+0800] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2022-07-04T10:32:32+0800] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen-fallback.img
[2022-07-04T10:32:32+0800] [ALPM-SCRIPTLET] ==> Image generation successful
[2022-07-04T10:32:32+0800] [ALPM] running 'glib-compile-schemas.hook'...
[2022-07-04T10:32:32+0800] [ALPM] running 'gtk-update-icon-cache.hook'...
[2022-07-04T10:32:32+0800] [ALPM] running 'gtk4-querymodules.hook'...
[2022-07-04T10:32:32+0800] [ALPM] running 'texinfo-install.hook'...
[2022-07-04T10:32:33+0800] [ALPM] running 'update-desktop-database.hook'...

But the rely of ibus don't seem to be upgraded.
Please help me, If there is something went wrong, and what should I do.

EDIT: solved by upgrade.

Last edited by deserts (2022-07-05 14:00:37)


science and engineering on satellite remote sensing of atmospheric environment

Offline

#2 2022-07-05 02:28:59

flyingpig
Member
Registered: 2021-05-30
Posts: 3
Website

Re: [SOLVED] Ibus seems not well-working

This is an GNOME Shell issue upstream that was resolved with gnome-shell 1:42.3-2 per FS#75234.

Offline

#3 2022-07-05 13:57:01

deserts
Member
From: the Orient
Registered: 2021-08-28
Posts: 11

Re: [SOLVED] Ibus seems not well-working

Thanks, I got it, and the newer version has save me!


science and engineering on satellite remote sensing of atmospheric environment

Offline

Board footer

Powered by FluxBB